it.gov.taccuino

## Class TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata

- java.lang.Object
- - it.gov.taccuino.TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata

- Enclosing class:
    TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata
      extends Object

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <simpleContent>
           <extension base="<urn:taccuino:common>string1_128">
             <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
             <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
             <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
             <attribute name="code" type="{urn:taccuino:common}string1_200" />
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `code`
    `protected String` | `codeSystem`
    `protected String` | `codeSystemName`
    `protected BigDecimal` | `codeSystemVersion`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AreaInteressata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Recupera il valore della proprietà code.
    `String` | `getCodeSystem()` Recupera il valore della proprietà codeSystem.
    `String` | `getCodeSystemName()` Recupera il valore della proprietà codeSystemName.
    `BigDecimal` | `getCodeSystemVersion()` Recupera il valore della proprietà codeSystemVersion.
    `String` | `getValue()` Recupera il valore della proprietà value.
    `void` | `setCode(String value)` Imposta il valore della proprietà code.
    `void` | `setCodeSystem(String value)` Imposta il valore della proprietà codeSystem.
    `void` | `setCodeSystemName(String value)` Imposta il valore della proprietà codeSystemName.
    `void` | `setCodeSystemVersion(BigDecimal value)` Imposta il valore della proprietà codeSystemVersion.
    `void` | `setValue(String value)` Imposta il valore della proprietà value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String value

    - #### codeSystem

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String codeSystem

    - #### codeSystemName

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String codeSystemName

    - #### codeSystemVersion

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected BigDecimal codeSystemVersion

    - #### code

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String code

  - ### Constructor Detail

    - #### AreaInteressata

          public AreaInteressata()

  - ### Method Detail

    - #### getValue

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getValue()

      Recupera il valore della proprietà value.
      Returns:
        possible object is `String`

    - #### setValue

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setValue(String value)

      Imposta il valore della proprietà value.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeSystem

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getCodeSystem()

      Recupera il valore della proprietà codeSystem.
      Returns:
        possible object is `String`

    - #### setCodeSystem

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setCodeSystem(String value)

      Imposta il valore della proprietà codeSystem.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeSystemName

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getCodeSystemName()

      Recupera il valore della proprietà codeSystemName.
      Returns:
        possible object is `String`

    - #### setCodeSystemName

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setCodeSystemName(String value)

      Imposta il valore della proprietà codeSystemName.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeSystemVersion

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public BigDecimal getCodeSystemVersion()

      Recupera il valore della proprietà codeSystemVersion.
      Returns:
        possible object is `BigDecimal`

    - #### setCodeSystemVersion

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setCodeSystemVersion(BigDecimal value)

      Imposta il valore della proprietà codeSystemVersion.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getCode

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getCode()

      Recupera il valore della proprietà code.
      Returns:
        possible object is `String`

    - #### setCode

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setCode(String value)

      Imposta il valore della proprietà code.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2024. All rights reserved.